commit 54b825cfb6ec5f176e36f6a3808adfce446c9f73
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Feb 3 01:18:19 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 5c158e8e3b3..0ce9bfbaa50 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,26 @@
+2022-02-02  Sebastian Huber  <sebastian.huber@embedded-brains.de>
+
+	PR target/104090
+	* config/rs6000/rs6000.c (rs6000_machine_from_flags): Use also
+	rs6000_cpu.
+
+2022-02-02  Ilya Leoshkevich  <iii@linux.ibm.com>
+
+	Backported from master:
+	2022-02-01  Ilya Leoshkevich  <iii@linux.ibm.com>
+
+	* config/s390/s390.c (s390_code_end): Do not switch back to
+	code section.
+
+2022-02-02  Xi Ruoyao  <xry111@mengyan1223.wang>
+
+	Backported from master:
+	2022-02-01  Xi Ruoyao  <xry111@mengyan1223.wang>
+
+	PR middle-end/95115
+	* fold-const.c (const_binop): Do not fold NaN result from
+	  non-NaN operands.
+
 2022-01-28  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1ff12871fac..7896cd5370e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220202
+20220203
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 2beaf5dffb5..b0a6f1953d2 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2022-02-02  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-02-01  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/104331
+	* simplify.c (gfc_simplify_eoshift): Avoid NULL pointer
+	dereference when shape is not set.
+
 2022-01-26  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/lto/ChangeLog b/gcc/lto/ChangeLog
index 318e425e2f6..ecc1df8a2df 100644
--- a/gcc/lto/ChangeLog
+++ b/gcc/lto/ChangeLog
@@ -1,3 +1,14 @@
+2022-02-02  Martin Liska  <mliska@suse.cz>
+
+	Backported from master:
+	2022-02-02  Martin Liska  <mliska@suse.cz>
+
+	PR lto/104333
+	* lto-common.c (read_cgraph_and_symbols): Move resolution
+	checking for number of files later and report a reasonable
+	error message.
+	* lto-object.c (lto_obj_file_open): Make error fatal.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 98e671be058..9504d863373 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,25 @@
+2022-02-02  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2022-02-01  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/104331
+	* gfortran.dg/eoshift_9.f90: New test.
+
+2022-02-02  Ilya Leoshkevich  <iii@linux.ibm.com>
+
+	Backported from master:
+	2022-02-01  Ilya Leoshkevich  <iii@linux.ibm.com>
+
+	* gcc.target/s390/nobp-section-type-conflict.c: New test.
+
+2022-02-02  Xi Ruoyao  <xry111@mengyan1223.wang>
+
+	Backported from master:
+	2022-02-01  Xi Ruoyao  <xry111@mengyan1223.wang>
+
+	* gcc.dg/pr95115.c: New test.
+
 2022-01-28  Richard Biener  <rguenther@suse.de>
 
 	Backported from master:

